summaryrefslogtreecommitdiff
path: root/dev-python/plover-uinput
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/plover-uinput')
-rw-r--r--dev-python/plover-uinput/Manifest1
-rw-r--r--dev-python/plover-uinput/plover-uinput-0.0.15.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/dev-python/plover-uinput/Manifest b/dev-python/plover-uinput/Manifest
new file mode 100644
index 0000000..b973ffc
--- /dev/null
+++ b/dev-python/plover-uinput/Manifest
@@ -0,0 +1 @@
+DIST plover_uinput-0.0.15.tar.gz 11020 BLAKE2B 2fa1b2e069034a72d38c787d9a76c3331e06693ff3e9e5a67ad523daa41ae674470399451041d43963e99254c398ec3efcf3ee3e03cab95a049165b545147c86 SHA512 5ac19a32c2eceb2c1dedb152e18b9c96e9607b17c559fe20d02da7a5dc6343b3f6c855c5b73e41d000df23a4519a1be9e21a05ebd4c4b8984ba8f8839da6d2bc
diff --git a/dev-python/plover-uinput/plover-uinput-0.0.15.ebuild b/dev-python/plover-uinput/plover-uinput-0.0.15.ebuild
new file mode 100644
index 0000000..bffdc0f
--- /dev/null
+++ b/dev-python/plover-uinput/plover-uinput-0.0.15.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Plover output plugin for linux using evdev / uinput"
+HOMEPAGE="https://github.com/LilleAila/plover-uinput"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/evdev[${PYTHON_USEDEP}]
+ dev-python/xkbcommon[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ # unpin xkbcommon
+ sed -i -e 's:xkbcommon<1.1:xkbcommon:' setup.cfg || die
+ distutils-r1_src_prepare
+}